
var app = {
  // Application Constructor
  initialize: function() {
      document.addEventListener('deviceready', this.onDeviceReady.bind(this), false);
      console.log("start index.js");
  },

  // deviceready Event Handler
  //
  // Bind any cordova events here. Common events are:
  // 'pause', 'resume', etc
  onDeviceReady: function() {
      this.receivedEvent('deviceready');
      //Keyboard.shrinkView(true);
      admob.banner.config({
                          //id: '/6499/example/banner',
                          id: '/107859452/asahi_news_app_header',
                          bannerAtTop:true,
                          overlap:false,
      })
          // Create banner
      admob.banner.prepare()
      setTimeout(function(){
          // Show the banner
          admob.banner.show()},4000
      )
      window.addEventListener('keyboardDidHide', function () {
          admob.banner.show()

      });
      setTimeout(function () {
      checkConnection();
    }, 1000);

    setTimeout(function() {
  navigator.splashscreen.hide();
}, 1000);

      console.log("start push Init");

      const push = window.PushNotification.init({
  android: {
    alert: true,      // 通知を有効にする
    badge: true,      // バッジを有効にする
    sound: true,      // 着信音を有効にする
    clearBadge: true  // true にするとフォアグラウンドにした時にバッジをクリアする
  }
});
console.log("start push registration");

// プッシュ通知サービスに登録しデバイストークンを取得する
// 初回はココでプッシュ通知の許可ダイアログが表示される
push.on('registration', (data) => {
  // プッシュ通知が許可されるとこのコールバックが実行される
  // このデバイストークンを指定してプッシュ通知を送信するので、以下の情報をサーバに送信しておく
    console.log("registrationID",data.registrationId);
    app.methods.regist("android",data.registrationId);
});
// プッシュ通知を受信した時の処理
push.on('notification', (data) => {
//initialTabState=data['additionalData']['data'][3];
  if(data.additionalData.coldstart) {
    // ColdStart : 通知バナーのタップによってアプリが起動した場合
    console.log(data);
    initialTabState=data['additionalData']['data'][3];
    if(initialTabState!=1 && initialTabState!="2_ear" && initialTabState!="2_tsu"){
        initialTabState=0
    }
  }
  else if(data.additionalData.foreground) {
    // フォアグラウンド状態で通知を受信した場合
    //initialTabState=data['additionalData']['data'][3];
    console.log("push notification",data)
    if (initialTabState == 1) {
        //showCateTab(2);
        app.methods.shownotify(data.message,function(){gotoHome(1);});
    } else if (initialTabState == "2_ear") {

        app.methods.shownotify(data.message,function(){gotoHome(0,true);});
    } else if (initialTabState == "2_tsu") {
        app.methods.shownotify(data.message,function(){gotoHome(-1,true);});
    }else{
    app.methods.shownotify(data.message,function(){gotoHome(0,true);});
    }
  }
  else {
    // アプリ起動済でバックグラウンドから復帰した場合
    initialTabState=data['additionalData']['data'][3];
    if (initialTabState == 1) {
        //showCateTab(2);
        setTimeout(function(){
            console.log("push gotohome "+initialTabState)
            gotoHome(1)
        },1000)
        
    } else if (initialTabState == "2_ear") {
      
        setTimeout(function(){
            console.log("push gotohome "+initialTabState)
            gotoHome(0)
        },1000)
    } else if (initialTabState == "2_tsu") {
      
        setTimeout(function(){
            console.log("push gotohome "+initialTabState)
            gotoHome(-1)
        },1000)
    }else{
        setTimeout(function(){
            console.log("push gotohome "+initialTabState)
            gotoHome(0)
        },1500)
    }
  }

  
});


  },

  // Update DOM on a Received Event
  receivedEvent: function(id) {
      //var parentElement = document.getElementById(id);
      //var listeningElement = parentElement.querySelector('.listening');
      //var receivedElement = parentElement.querySelector('.received');

      //listeningElement.setAttribute('style', 'display:none;');
      //receivedElement.setAttribute('style', 'display:block;');

      console.log('Received Event: ' + id);
  }
};
loadFinished = 0;
const versionNum = 7;
initialTabindex = 0;
initialTabState = 0;
app.initialize();

function checkConnection() {

  var networkState = navigator.connection.type;

  var states = {};
  states[Connection.UNKNOWN]  = 'Unknown connection';
  states[Connection.ETHERNET] = 'Ethernet connection';
  states[Connection.WIFI]     = 'WiFi connection';
  states[Connection.CELL_2G]  = 'Cell 2G connection';
  states[Connection.CELL_3G]  = 'Cell 3G connection';
  states[Connection.CELL_4G]  = 'Cell 4G connection';
  states[Connection.CELL]     = 'Cell generic connection';
  states[Connection.NONE]     = 'No network connection';
  console.log("checkConnection",networkState)
 if (networkState == Connection.NONE) {
     //alert('通信環境の良い場所で再度お試しください');
 console.log("connectionlost",networkState)
     if(loadFinished==0){
         location.href="connectionlost.html";
     }else{
         console.log("connection return false",networkState)
         return false
     }
 }else{
     return true
 }
}
/*
*/
